import { VersionRanges } from './VersionRanges';
export declare enum ResolutionType {
    Available = "available",
    LoadFrom = "load-from"
}
export declare type Resolution = {
    type: ResolutionType.Available;
    id: string;
} | {
    type: ResolutionType.LoadFrom;
    url: string;
};
export interface Resolver {
    registerId(id: string): void;
    registerResolvedURL(url: string, id: string): void;
    resolve(request: string, parentId?: string, defaultPackageVersionRanges?: VersionRanges): Resolution;
}
